Skip to main content
POST
/
v1
/
saved-filters
Create Saved Filter
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/saved-filters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "analysisTypeId": {},
  "name": {},
  "category": {},
  "condition": {
    "type": "GROUP",
    "operator": "AND",
    "conditions": [
      "<unknown>"
    ]
  },
  "organizationId": {},
  "libraryId": {},
  "engagementId": {},
  "filterType": "LIBRARY",
  "dataType": "TRANSACTIONS",
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>"
}
'
{
  "version": 123,
  "analysisTypeId": {},
  "name": {},
  "category": {},
  "condition": {
    "type": "GROUP",
    "operator": "AND",
    "conditions": [
      "<unknown>"
    ]
  },
  "legacyFilterFormat": true,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "organizationId": {},
  "libraryId": {},
  "engagementId": {},
  "filterType": "LIBRARY",
  "dataType": "TRANSACTIONS",
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
analysisTypeId
object
required

Identifies the associated analysis type.

name
object
required

The name of this filter.

category
object
required

The category of this filter.

condition
Filter Group Condition · object
required

A group filter containing all the conditions included in this filter.

organizationId
object

Identifies the parent organization, if applicable. Can only be set if filterType is ORGANIZATION or PRIVATE.

libraryId
object

Identifies the parent library, if applicable. Can only be set if filterType is LIBRARY.

engagementId
object

Identifies the parent engagement, if applicable. Can only be set if filterType is ENGAGEMENT.

filterType
enum<string>

The type of this filter. Determines in which context analyses can access it.

Available options:
LIBRARY,
ORGANIZATION,
PRIVATE,
ENGAGEMENT
dataType
enum<string>

The intended data type for this filter.

Available options:
TRANSACTIONS,
ENTRIES,
LIBRARY
displayCurrencyCode
string

The ISO 4217 3 digit currency code used to determine how currency values are formatted for display. Defaults to USD if no value is selected.

displayLocale
string

The ISO 639 locale identifier used when formatting some display values. Defaults to en-us if no value is specified.

Response

Created

version
integer<int64>
required

Data integrity version to ensure data consistency.

analysisTypeId
object
required

Identifies the associated analysis type.

name
object
required

The name of this filter.

category
object
required

The category of this filter.

condition
Filter Group Condition · object
required

A group filter containing all the conditions included in this filter.

legacyFilterFormat
boolean
required

If true this filter is saved in a legacy format that can’t be represented in the API.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

organizationId
object

Identifies the parent organization, if applicable. Can only be set if filterType is ORGANIZATION or PRIVATE.

libraryId
object

Identifies the parent library, if applicable. Can only be set if filterType is LIBRARY.

engagementId
object

Identifies the parent engagement, if applicable. Can only be set if filterType is ENGAGEMENT.

filterType
enum<string>

The type of this filter. Determines in which context analyses can access it.

Available options:
LIBRARY,
ORGANIZATION,
PRIVATE,
ENGAGEMENT
dataType
enum<string>

The intended data type for this filter.

Available options:
TRANSACTIONS,
ENTRIES,
LIBRARY
displayCurrencyCode
string

The ISO 4217 3 digit currency code used to determine how currency values are formatted for display. Defaults to USD if no value is selected.

displayLocale
string

The ISO 639 locale identifier used when formatting some display values. Defaults to en-us if no value is specified.